textures/retreat/skybox
{
	qer_editorimage textures/retreat/heat_up.jpg
        qer_trans 0.99

	q3map_backsplash 0 0
	q3map_lightmapFilterRadius 	0 8
        q3map_lightsubdivide 768

	q3map_sunEXT	1 0.92 0.75 220 180 12 3 12

	q3map_skyLight	450 10

	q3map_lightRGB 	1 0.92 0.75

	q3map_noFog
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodlight

	skyparms textures/retreat/heat - -

	nopicmip
	nomipmaps
}

textures/retreat/sparky_tree
{
	qer_editorimage textures/retreat/sparky_tree.tga
	q3map_forceMeta
	q3map_clipmodel
	q3map_vertexScale 0.75 //1.4
	q3map_shadeangle 80 //110
	q3map_nonplanar
	surfaceparm slick
	{
		map textures/retreat/sparky_tree.tga
		rgbgen vertex
	}
}

models/mapobjects/br_statues/br_horse

{
	surfaceparm alphashadow
	cull disable
	{
	map models/mapobjects/br_statues/br_horse.tga
	rgbGen vertex
	depthWrite
	alphaFunc GE128
	}
}

textures/retreat/glass_wave
{
    q3map_lightimage textures/retreat/lamp_light.tga
    //q3map_lightsubdivide 32
    //q3map_lightmapFilterRadius 0 8
    surfaceparm nomarks
    q3map_surfacelight 35000    //20000 
        {
                map textures/retreat/glass_wave.tga
        rgbGen vertex
        }
}

textures/retreat/water_fount
{
    qer_editorimage textures/retreat/water.tga
    qer_trans 0.5
    //q3map_fancywater 1 1 1 1    parameters do nothing yet are necessary?

    surfaceparm trans
    surfaceparm noimpact
    surfaceparm nonsolid
    surfaceparm water
    surfaceparm nolightmap
    surfaceparm nomarks

    cull none
    nopicmip
    {
        map textures/retreat/water.tga
        blendfunc blend
        tcmod turb 0 0.15 0.75 0.02
        alphagen const 0.1
    }
    {
        map textures/retreat/water.tga
        blendfunc blend
        tcmod turb 0 0.15 0.25 0.015
        alphagen const 0.1
    }
}

textures/retreat/watercaulk
{
    qer_editorimage textures/retreat/watercaulk.tga
    qer_trans 0.5
    surfaceparm nodraw
    surfaceparm detail
    surfaceparm noimpact
    surfaceparm nonsolid
    surfaceparm trans
    surfaceparm water
}

textures/retreat/water_rain
{
    qer_editorimage textures/wetwired/fs_rain2.tga
    qer_trans 0.5
        q3map_globaltexture

        surfaceparm trans
    surfaceparm nonsolid
    surfaceparm noimpact
    surfaceparm nolightmap
    surfaceparm nomarks
    surfaceparm nodlight

    cull none
    nopicmip
    {
        map textures/wetwired/fs_rain2.tga
        tcMod Scroll -0.125 -2
        alphaFunc GE128
        depthWrite
        //blendfunc add

        //if this doesn't look right
        //comment alphaFunc GE128 & depthWrite
        //then un-comment blendfunc add
        }
}

textures/retreat/wood_fence
{
	qer_editorimage textures/retreat/wood_fence.tga
        cull none
        nopicmip
	q3map_vertexScale 1.5
	surfaceparm alphashadow
	surfaceparm detail
	surfaceparm nodlight
	surfaceparm nomarks
	surfaceparm trans
        {
                map textures/retreat/wood_fence.tga
                blendfunc gl_src_alpha gl_one_minus_src_alpha
                alphaFunc GE128
                rgbGen vertex
		tcmod scale 2 2
         }
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/retreat/blue-white
{
	qer_editorimage textures/retreat/blue-white.tga
	cull none
	{
		map textures/retreat/blue-white.tga
		rgbgen vertex
	}
}

textures/retreat/gold_shader
{
	qer_editorimage textures/retreat/gold_base.tga
	{
		map textures/retreat/gold_base.tga
		tcgen environment
		tcgen vector ( 0.00391 0 0 ) ( 0 0.00391 0 )
		tcmod turb  0 0.3 0.75 0.0001
		tcmod scale 0.65 0.65
		tcmod rotate -0.001 
		rgbgen const ( 0.5 0.5 0.5 )
	}
	{
		map textures/retreat/gold_fx.tga
		blendfunc gl_one gl_one
		tcgen environment
		rgbgen const ( 0.5 0.5 0.5 )
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
	}
}

textures/retreat/clipmarx_cement
{
    qer_trans 0.5
    surfaceparm trans
    surfaceparm nomarks 
    surfaceparm nodlight
    {
        map $whiteimage
        blendfunc filter
    }
}